package main

import "os"
import "image"
import "image/png"
import "git.tebibyte.media/tomo/ggfx"

func main () {
	img := image.NewRGBA(image.Rect(0, 0, 300, 300))
	canvas := ggfx.Image[uint8] {
		Pix:    img.Pix,
		Stride: img.Stride,
		Bounds: img.Rect,
		Width:  4,
	}
	black := []uint8 { 0,   0, 0, 255 }
	red   := []uint8 { 255, 0, 0, 255 }
	canvas.FillPolygon (
		black,
		image.Pt(10, 10),
		image.Pt(70, 50),
		image.Pt(20, 70))
	canvas.StrokePolygon (
		red, 1,
		image.Pt(10, 10),
		image.Pt(70, 50),
		image.Pt(20, 70))
	
	file, err := os.Create("TEST.png")
	if err != nil { panic(err.Error()) }
	defer file.Close()
	err = png.Encode(file, img)
	if err != nil { panic(err.Error()) }
	
	println("Open TEST.png to see the result.")
}
	
